Index: src/main/webapp/plotlog.xhtml
===================================================================
--- src/main/webapp/plotlog.xhtml	(revision 45)
+++ src/main/webapp/plotlog.xhtml	(revision 1)
@@ -4,5 +4,4 @@
 <title>Plot log results</title>
 <script src="Chart.min_2.8.0.js"></script>
-<script src="utils.js"></script>
 </head>
 <style>
@@ -24,15 +23,7 @@
 	<div id="progress">Waiting for log file name</div>
 	<br />
-	
-	<div>Graph shows utilities of bids in offers and accepts.
-	Points in the graph indicate the party that placed the offer. 
-	Plotted utilities do not include possible
-		elicitation costs.</div>
-	<div style="width: 100%;">
+	<div style="width: 75%;">
 		<canvas id="canvas"></canvas>
 	</div>
-
-	Agreement:
-	<div id="agreement" style="display: inline;">?</div>
 </body>
 
@@ -44,7 +35,4 @@
 	
 	
-	
-	
-	
 
 	
@@ -60,10 +48,8 @@
 
         function connect() {
-        	var query = new URLSearchParams(location.search);
-        	var id=query.get('id');
-            if (id==undefined) {
-            	alert("missing ?id=<logfile> in URL"); 
-            	return;
-           	}
+        	
+        	var id=document.location.search;
+            id = location.search.split('id=')[1]
+            if (id==undefined) return;
             
             // load the log file with given id
@@ -90,76 +76,34 @@
         */
         function processLogFile(json) {
-        	
-        	if (json['SAOPState']!=undefined) {
-        		processStandard(json['SAOPState'], 'SAOP');
-        	} else if (json['SHAOPState']!=undefined) {
-        		processSHAOP(json['SHAOPState']);
-        	} else if (json['MOPACState']!=undefined) {
-        		// just use the SAOP processor, which shows the
-        		// utilities of all Offers in sequence.
-        		processStandard(json['MOPACState'], 'MOPAC');
-        	} else{
+        	if (json['SAOPState']==undefined) {
             	setStatus("Unknown log file contents "+Object.keys(json));
-            }
-        }
-        
-        /**
-        Handle standard protocol result.
-        @param protocol either SAOP or MOPAC or another SAOP-like protocol
-        */
-        function processStandard(json, protocol) {
+            	return;
+        	}
+    		processSAOP(json['SAOPState']);
+        }
+        
+        /**
+        Handle SAOP protocol result.
+        */
+        function processSAOP(json) {
         	var partyprofiles={}
         	var profs=json['partyprofiles'];
         	for (var party in profs) {
-        		partyprofiles[party]=withoutPartial(profs[party]['profile']);
-        	}
-        	
-        	getProfiles(json, partyprofiles, protocol);
-        }
-        
-        
-        /**
-        Handle SHAOP protocol result. Get only SHAOP profiles. Remove all 'partial=XX' from relevant profiles.
-        */
-        function processSHAOP(json) {
-        	var partyprofiles={}
-        	var teams=json['settings']['SHAOPSettings']['participants'];
-        	for (var partyid in json['partyNumbers']) {
-        		var nr= json['partyNumbers'][partyid];
-        		if ( (nr & 1 != 0)) continue; // skip COB parties
-        		var shaop=teams[nr/2]['TeamInfo']['parties'][0];
-        		var profile = withoutPartial(shaop['profile']); // hacky, remove complete query.
-        		partyprofiles[partyid]=profile;
-        	}
-			
-        	
-        	getProfiles(json, partyprofiles, "SHAOP");
-        }
-
-
-        /**
-        @param uristr a string with an uri that may have ?partial=XX 
-        @return the given uristr   without the "partia=XXl" value 
-        */
-        function withoutPartial(uristr) {
-    		var profuri=new URL(uristr);
-    		var searchParams = new URLSearchParams(profuri.search);
-    		searchParams.delete("partial");
-    		profuri.search = searchParams.toString();
-    		return profuri.toString();
-
-        } 
+        		partyprofiles[party]=profs[party]['profile'];
+        	}
+        	
+        	getProfiles(json, partyprofiles);
+        }
         
         /**
         Get the partyprofiles.
-        @param json the json protocol result
-        @param partyprofileURIs dict with the websocket addresses for each party'as profile
-        @param partyprofiles dict with each party's profile. Initially should be {}
-        @param protocol protocolname, eg "SAOP"
-        */
-        function getProfiles(json, partyprofileURIs, protocol, partyprofiles={} ) {
+        @json the json protocol result
+        @partyprofileURIs dict with the websocket addresses for each party'as profile
+        @partyprofiles dict with each party's profile. Initially should be {}
+        */
+        function getProfiles(json, partyprofileURIs, partyprofiles={}) {
         	var keys = Object.keys(partyprofileURIs);
 			if (keys.length==0) {
-				plotResults(computeUtils(json, partyprofiles), isAgreement(json, protocol));
+				plotResults(computeUtils(json, partyprofiles));
 				return;
 			}
@@ -184,5 +128,5 @@
             	}
             	partyprofiles[party]=profile['LinearAdditiveUtilitySpace'];
-            	getProfiles(json, partyprofileURIs, protocol, partyprofiles);
+            	getProfiles(json, partyprofileURIs, partyprofiles);
             };
             ws.onerror=function(event) {
@@ -192,34 +136,6 @@
         
         /**
-        @param logfile the logfile content, but below the protocol header
-        @param protocol the protocol name, eg SAOP, SHAOP, MOPAC
-        @return 'Yes' if there is agreement, 'No' if there is no agreement at all, 
-        or 'Partial'  if part of the parties agreed and part did not.
-        or '?' if unsupported protocol
-        */
-        function isAgreement(logfile, protocol) {
-			switch (protocol) {
-				case "SAOP":
-				case "SHAOP":
-					var actions=logfile['actions'];
-					var lastact = actions[actions.length -1];
-					return 'Accept' in lastact ? 'Yes':'No';
-				case "MOPAC":
-					var finalstate=logfile['phase'][Object.keys(logfile['phase'])[0]]['partyStates'];
-					var nagrees=Object.keys(finalstate['agreements']).length;
-					var nparties=Object.keys(finalstate['powers']).length;
-					if (nagrees==nparties) return "Yes";
-					if (nagrees==0) return "No"
-					return "Partial";
-				default:
-					return "?";
-				}
-        }
-        /**
         @json the log file contents
         @param partyprofiles a dict with key=party id and value a the (linear additive) profile
-        @return a list [utilities, biddingparties] where utilities is a dict with keys: partyID
-        and value: list of utilities . biddingparties is a list [partyid] which is the 
-        bidding party for each round.
         */
         function computeUtils(json, partyprofiles) {
@@ -227,25 +143,18 @@
         	setStatus("Computing utilities.")
         	var utilities={};
-        	var biddingparties=[];
 			for (var party in partyprofiles) {
 				utilities[party]=[];
 			}
         	var actions = json['actions'];
-        	for (var n in actions) {
-        		var action = actions[n];
-        		var item;
-        		if ('Offer' in action) 
-        			action= action['Offer'];
-        		else if ('Accept' in action)
-        			action= action['Accept'];
-        		else 
+        	for (var action in actions) {
+        		var offer = actions[action];
+        		if (offer['offer']==undefined)
         			continue;
-        		var issueutilities = action['bid']['issuevalues']
+        		var issueutilities = offer['offer']['bid']['issuevalues']
 				for (var party in partyprofiles) {
 					utilities[party].push(utility(partyprofiles[party],issueutilities));
 				}
-        		biddingparties.push(action['actor']);
-        	}
-        	return [utilities, biddingparties];
+        	}
+        	return utilities;
         	
         	
@@ -267,13 +176,9 @@
         
         /**
-        @param [utilities, parties] utilities=the dict with key=party id  of the utilities of all steps for each party )
-        and parties a list of biddingparty for each value in utilities lists.
-        @param isAgreement either Yes, No, Partial or ?
-        */
-        
-        function plotResults( [utilities, biddingparties], isAgreement) {
+        @param utilities the dict with key=party id  of the utilities of all steps for each party )
+        */
+        
+        function plotResults( utilities) {
         	setStatus("Plotting" )
-        	
-            document.getElementById('agreement').innerHTML=isAgreement;
 
         	var parties=Object.keys(utilities);
@@ -284,8 +189,4 @@
         	var partynr=0;
         	for (var party in utilities) {
-        		var pointsizes=[];
-        		for (var p of biddingparties) {
-        			pointsizes.push(p==party ? 4:0); 
-        		}
         		var dataset={
    					label: party,
@@ -294,5 +195,4 @@
    					borderColor: color(partynr),
 					data: utilities[party],
-					pointRadius: pointsizes,
 					fill: false
         		};
@@ -326,5 +226,5 @@
     						scaleLabel: {
     							display: true,
-    							labelString: 'Offer'
+    							labelString: 'Turn'
     						}
     					}],
@@ -407,10 +307,10 @@
 	 			return 0;
 	 		}
-			if (utilfunc['NumberValueSetUtilities']!=undefined) {
+			if (utilfunc['numberutils']!=undefined) {
 				// it's numeric issue. Compute
-				var minval = utilfunc['NumberValueSetUtilities']['lowValue'];
-				var minutil = utilfunc['NumberValueSetUtilities']['lowUtility'];
-				var maxval = utilfunc['NumberValueSetUtilities']['highValue'];
-				var maxutil = utilfunc['NumberValueSetUtilities']['highUtility'];
+				var minval = utilfunc['numberutils']['lowValue'];
+				var minutil = utilfunc['numberutils']['lowUtility'];
+				var maxval = utilfunc['numberutils']['highValue'];
+				var maxutil = utilfunc['numberutils']['highUtility'];
 				
 				var alfa = (value-minval) / (maxval - minval) ;
@@ -418,7 +318,7 @@
 				return alfa * maxutil + (1-alfa) * minutil;   
 			}
-			if (utilfunc['DiscreteValueSetUtilities']!=undefined) {
+			if (utilfunc['discreteutils']!=undefined) {
 				// it's discrete issue. Compute
-				return utilfunc['DiscreteValueSetUtilities']['valueUtilities'][value];
+				return utilfunc['discreteutils']['valueUtilities'][value];
 			}
 	    	setStatus("Unknown utility function type "+Object.keys(utilfunc));
@@ -434,7 +334,4 @@
 
 
-
-
-
 </script>
 
@@ -442,7 +339,4 @@
 
 <script type="application/javascript">
-	
-	
-	
 	
 	
@@ -474,7 +368,4 @@
 
 
-
-
-
 </script>
 
